Bug 39189 - Add XViewRenderer(IntPtr javaReference, JniHandleOwnership transfer) to all renderers on Android
Summary: Add XViewRenderer(IntPtr javaReference, JniHandleOwnership transfer) to all r...
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.0.0
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-02-29 05:08 UTC by adrianknight89
Modified: 2018-01-10 12:16 UTC (History)
8 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description adrianknight89 2016-02-29 05:08:27 UTC
I keep getting System.NotSupportedException: Unable to activate instance of type Xamarin.Forms.Platform.Android.XRenderer. This exception is thrown for several different renderers. Here's one:

System.NotSupportedException: Unable to activate instance of type Xamarin.Forms.Platform.Android.ListViewRenderer from native handle 0xffd6efcc (key_handle 0x25ff8de3).

02-29 06:56:45.061 D/Mono    ( 8481): DllImport attempting to load: '/system/lib/liblog.so'.
02-29 06:56:45.061 D/Mono    ( 8481): DllImport loaded library '/system/lib/liblog.so'.
02-29 06:56:45.061 D/Mono    ( 8481): DllImport searching in: '/system/lib/liblog.so' ('/system/lib/liblog.so').
02-29 06:56:45.061 D/Mono    ( 8481): Searching for '__android_log_print'.
02-29 06:56:45.061 D/Mono    ( 8481): Probing '__android_log_print'.
02-29 06:56:45.061 D/Mono    ( 8481): Found as '__android_log_print'.
02-29 06:56:45.061 I/MonoDroid( 8481): UNHANDLED EXCEPTION:
02-29 06:56:45.061 I/MonoDroid( 8481): System.NotSupportedException: Unable to activate instance of type Xamarin.Forms.Platform.Android.ListViewRenderer from native handle 0xffd6efcc (key_handle 0x25ff8de3). ---> System.MissingMethodException: No constructor found for Xamarin.Forms.Platform.Android.ListViewRenderer::.ctor(System.IntPtr, Android.Runtime.JniHandleOwnership) ---> Java.Interop.JavaLocationException: Exception of type 'Java.Interop.JavaLocationException' was thrown.
02-29 06:56:45.061 I/MonoDroid( 8481): Java.Lang.Error: Exception of type 'Java.Lang.Error' was thrown.
02-29 06:56:45.061 I/MonoDroid( 8481):   --- End of managed exception stack trace ---
02-29 06:56:45.061 I/MonoDroid( 8481): java.lang.Error: Java callstack:
02-29 06:56:45.061 I/MonoDroid( 8481): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ListViewRenderer.n_onLayout(Native Method)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ListViewRenderer.onLayout(ListViewRenderer.java:65)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.View.layout(View.java:16922)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.ViewGroup.layout(ViewGroup.java:5405)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.View.layout(View.java:16922)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.ViewGroup.layout(ViewGroup.java:5405)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.View.layout(View.java:16922)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.ViewGroup.layout(ViewGroup.java:5405)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.View.layout(View.java:16922)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.ViewGroup.layout(ViewGroup.java:5405)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.View.layout(View.java:16922)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.ViewGroup.layout(ViewGroup.java:5405)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.PlatformRenderer.n_onLayout(Native Method)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.PlatformRenderer.onLayout(PlatformRenderer.java:63)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.View.layout(View.java:16922)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.ViewGroup.layout(ViewGroup.java:5405)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.widget.RelativeLayout.onLayout(RelativeLayout.java:1077)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.View.layout(View.java:16922)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.ViewGroup.layout(ViewGroup.java:5405)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.widget.FrameLayout.layoutChildren(FrameLayout.java:579)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.widget.FrameLayout.onLayout(FrameLayout.java:514)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.View.layout(View.java:16922)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.ViewGroup.layout(ViewGroup.java:5405)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.widget.LinearLayout.setChildFrame(LinearLayout.java:1702)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.widget.LinearLayout.layoutVertical(LinearLayout.java:1556)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.widget.LinearLayout.onLayout(LinearLayout.java:1465)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.View.layout(View.java:16922)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.ViewGroup.layout(ViewGroup.java:5405)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.widget.FrameLayout.layoutChildren(FrameLayout.java:579)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.widget.FrameLayout.onLayout(FrameLayout.java:514)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.View.layout(View.java:16922)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.ViewGroup.layout(ViewGroup.java:5405)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.widget.LinearLayout.setChildFrame(LinearLayout.java:1702)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.widget.LinearLayout.layoutVertical(LinearLayout.java:1556)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.widget.LinearLayout.onLayout(LinearLayout.java:1465)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.View.layout(View.java:16922)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.ViewGroup.layout(ViewGroup.java:5405)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.widget.FrameLayout.layoutChildren(FrameLayout.java:579)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.widget.FrameLayout.onLayout(FrameLayout.java:514)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.View.layout(View.java:16922)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.ViewGroup.layout(ViewGroup.java:5405)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.ViewRootImpl.performLayout(ViewRootImpl.java:2413)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.ViewRootImpl.performTraversals(ViewRootImpl.java:2122)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.ViewRootImpl.doTraversal(ViewRootImpl.java:1264)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.ViewRootImpl$TraversalRunnable.run(ViewRootImpl.java:6944)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.Choreographer$CallbackRecord.run(Choreographer.java:777)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.Choreographer.doCallbacks(Choreographer.java:590)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.Choreographer.doFrame(Choreographer.java:560)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:763)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.os.Handler.handleCallback(Handler.java:739)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.os.Handler.dispatchMessage(Handler.java:95)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.os.Looper.loop(Looper.java:145)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at android.app.ActivityThread.main(ActivityThread.java:6837)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at java.lang.reflect.Method.invoke(Native Method)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at java.lang.reflect.Method.invoke(Method.java:372)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:1404)
02-29 06:56:45.061 I/MonoDroid( 8481): 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1199)
02-29 06:56:45.061 I/MonoDroid( 8481):   --- End of inner exception stack trace ---
02-29 06:56:45.061 I/MonoDroid( 8481):   at Java.Interop.TypeManager.CreateProxy (System.Type type, IntPtr handle, JniHandleOwnership transfer) [0x00039] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Interop/TypeManager.cs:304 
02-29 06:56:45.061 I/MonoDroid( 8481):   at Java.Interop.TypeManager.CreateInstance (IntPtr handle, JniHandleOwnership transfer, System.Type targetType) [0x00138] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Interop/TypeManager.cs:282 
02-29 06:56:45.061 I/MonoDroid( 8481):   --- End of inner exception stack trace ---
02-29 06:56:45.061 I/MonoDroid( 8481):   at Java.Interop.TypeManager.CreateInstance (IntPtr handle, JniHandleOwnership transfer, System.Type targetType) [0x00186] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Interop/TypeManager.cs:289 
02-29 06:56:45.061 I/MonoDroid( 8481):   at Java.Lang.Object.GetObject (IntPtr handle, JniHandleOwnership transfer, System.Type type) [0x000e5] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Lang/Object.cs:459 
02-29 06:56:45.061 I/MonoDroid( 8481):   at Java.Lang.Object._GetObject[T] (IntPtr handle, JniHandleOwnership transfer) [0x0001a] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Lang/Object.cs:430 
02-29 06:56:45.061 I/MonoDroid( 8481):   at Java.Lang.Object.GetObject[T] (IntPtr handle, JniHandleOwnership transfer) [0x00000] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Lang/Object.cs:422 
02-29 06:56:45.061 I/MonoDroid( 8481):   at Java.Lang.Object.GetObject[T] (IntPtr jnienv, IntPtr handle, JniHandleOwnership transfer) [0x00006] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Lang/Object.cs:416 
02-29 06:56:45.061 I/MonoDroid( 8481):   at Xamarin.Forms.Platform.Android.FormsViewGroup.n_OnLayout_ZIIII (IntPtr jnienv, IntPtr native__this, Boolean p0, Int32 p1, Int32 p2, Int32 p3, Int32 p4) [0x00000] in <filename unknown>:0 
02-29 06:56:45.061 I/MonoDroid( 8481):   at (wrapper dynamic-method) System.Object:96c5694d-1752-4898-9dc7-b45e70011d2d (intptr,intptr,bool,int,int,int,int)
02-29 06:56:45.081 W/art     ( 8481): JNI RegisterNativeMethods: attempt to register 0 native methods for android.runtime.JavaProxyThrowable
02-29 06:56:45.081 D/Mono    ( 8481): DllImport searching in: '__Internal' ('(null)').
02-29 06:56:45.081 D/Mono    ( 8481): Searching for 'java_interop_jnienv_throw'.
02-29 06:56:45.081 D/Mono    ( 8481): Probing 'java_interop_jnienv_throw'.
02-29 06:56:45.081 D/Mono    ( 8481): Found as 'java_interop_jnienv_throw'.
Unhandled Exception:


This bug is related: https://bugzilla.xamarin.com/show_bug.cgi?id=32462

Please see the workarounds suggested on that bug.
Comment 1 adrianknight89 2016-02-29 05:10:45 UTC
I got this for ViewCellRenderer and Platfomr+DefaultRenderer. I believe it could be thrown for any other.
Comment 2 adrianknight89 2016-02-29 05:49:02 UTC
Also getting "Unable to activate instance of type Android.Runtime.InputStreamAdapter" 

Tonight has not been productive for me.

Unhandled Exception:

System.NotSupportedException: Unable to activate instance of type Android.Runtime.InputStreamAdapter from native handle 0xd39eaa9c (key_handle 0xdab9c55).

Thread finished: <Thread Pool> #3
Thread finished: <Thread Pool> #4
02-29 07:42:49.731 D/Mono    (16248): [0xda8bc300] worker finishing
02-29 07:42:49.741 I/art     (16248): Thread[2,tid=16254,WaitingInMainSignalCatcherLoop,Thread*=0xee899800,peer=0x12c670a0,"Signal Catcher"]: reacting to signal 3
02-29 07:42:50.111 I/art     (16248): Wrote stack traces to '/data/anr/traces.txt'
Thread started: <Thread Pool> #14
02-29 07:42:55.591 D/Mono    (16248): DllImport attempting to load: '/system/lib/liblog.so'.
02-29 07:42:55.591 D/Mono    (16248): DllImport loaded library '/system/lib/liblog.so'.
02-29 07:42:55.591 D/Mono    (16248): DllImport searching in: '/system/lib/liblog.so' ('/system/lib/liblog.so').
02-29 07:42:55.591 D/Mono    (16248): Searching for '__android_log_print'.
02-29 07:42:55.591 D/Mono    (16248): Probing '__android_log_print'.
02-29 07:42:55.591 D/Mono    (16248): Found as '__android_log_print'.
02-29 07:42:55.611 I/MonoDroid(16248): UNHANDLED EXCEPTION:
Thread started: <Thread Pool> #15
02-29 07:42:55.621 D/Mono    (16248): [0xd480a200] worker starting
02-29 07:42:55.621 I/MonoDroid(16248): System.NotSupportedException: Unable to activate instance of type Android.Runtime.InputStreamAdapter from native handle 0xd39eaa9c (key_handle 0xdab9c55). ---> System.MissingMethodException: No constructor found for Android.Runtime.InputStreamAdapter::.ctor(System.IntPtr, Android.Runtime.JniHandleOwnership) ---> Java.Interop.JavaLocationException: Exception of type 'Java.Interop.JavaLocationException' was thrown.
02-29 07:42:55.621 I/MonoDroid(16248): Java.Lang.Error: Exception of type 'Java.Lang.Error' was thrown.
02-29 07:42:55.621 I/MonoDroid(16248):   --- End of managed exception stack trace ---
02-29 07:42:55.621 I/MonoDroid(16248): java.lang.Error: Java callstack:
02-29 07:42:55.621 I/MonoDroid(16248): 	at mono.android.runtime.InputStreamAdapter.n_read(Native Method)
02-29 07:42:55.621 I/MonoDroid(16248): 	at mono.android.runtime.InputStreamAdapter.read(InputStreamAdapter.java:56)
02-29 07:42:55.621 I/MonoDroid(16248): 	at android.graphics.BitmapFactory.nativeDecodeStream(Native Method)
02-29 07:42:55.621 I/MonoDroid(16248): 	at android.graphics.BitmapFactory.decodeStreamInternal(BitmapFactory.java:863)
02-29 07:42:55.621 I/MonoDroid(16248): 	at android.graphics.BitmapFactory.decodeStream(BitmapFactory.java:839)
02-29 07:42:55.621 I/MonoDroid(16248):   --- End of inner exception stack trace ---
02-29 07:42:55.621 I/MonoDroid(16248):   at Java.Interop.TypeManager.CreateProxy (System.Type type, IntPtr handle, JniHandleOwnership transfer) [0x00039] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Interop/TypeManager.cs:304 
02-29 07:42:55.621 I/MonoDroid(16248):   at Java.Interop.TypeManager.CreateInstance (IntPtr handle, JniHandleOwnership transfer, System.Type targetType) [0x00138] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Interop/TypeManager.cs:282 
02-29 07:42:55.621 I/MonoDroid(16248):   --- End of inner exception stack trace ---
02-29 07:42:55.621 I/MonoDroid(16248):   at Java.Interop.TypeManager.CreateInstance (IntPtr handle, JniHandleOwnership transfer, System.Type targetType) [0x00186] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Interop/TypeManager.cs:289 
02-29 07:42:55.621 I/MonoDroid(16248):   at Java.Lang.Object.GetObject (IntPtr handle, JniHandleOwnership transfer, System.Type type) [0x000e5] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Lang/Object.cs:459 
02-29 07:42:55.621 I/MonoDroid(16248):   at Java.Lang.Object._GetObject[T] (IntPtr handle, JniHandleOwnership transfer) [0x0001a] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Lang/Object.cs:430 
02-29 07:42:55.621 I/MonoDroid(16248):   at Java.Lang.Object.GetObject[T] (IntPtr handle, JniHandleOwnership transfer) [0x00000] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Lang/Object.cs:422 
02-29 07:42:55.621 I/MonoDroid(16248):   at Java.Lang.Object.GetObject[T] (IntPtr jnienv, IntPtr handle, JniHandleOwnership transfer) [0x00006] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Lang/Object.cs:416 
02-29 07:42:55.621 I/MonoDroid(16248):   at Java.IO.InputStream.n_Read_arrayBII (IntPtr jnienv, IntPtr native__this, IntPtr native_buffer, Int32 byteOffset, Int32 byteCount) [0x00000] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/platforms/android-23/src/generated/Java.IO.InputStream.cs:243 
02-29 07:42:55.621 I/MonoDroid(16248):   at (wrapper dynamic-method) System.Object:2faee1a9-b999-4386-ace0-c057cb238818 (intptr,intptr,intptr,int,int)
02-29 07:42:55.631 W/Xamarin.Insights(16248): Warning: Could not post to webapi: Network state is disabled. Can not ping webapi
02-29 07:42:55.651 W/art     (16248): JNI RegisterNativeMethods: attempt to register 0 native methods for android.runtime.JavaProxyThrowable
02-29 07:42:55.661 D/Mono    (16248): DllImport searching in: '__Internal' ('(null)').
02-29 07:42:55.661 D/Mono    (16248): Searching for 'java_interop_jnienv_throw'.
02-29 07:42:55.661 D/Mono    (16248): Probing 'java_interop_jnienv_throw'.
02-29 07:42:55.661 D/Mono    (16248): Found as 'java_interop_jnienv_throw'.
02-29 07:42:55.661 W/art     (16248): Attempt to remove index outside index area (0 vs 2-2)
02-29 07:42:55.661 W/art     (16248): JNI WARNING: DeleteLocalRef(0x200001) failed to find entry
02-29 07:42:55.691 D/Mono    (16248): DllImport attempting to load: '/system/lib/liblog.so'.
02-29 07:42:55.691 D/Mono    (16248): DllImport loaded library '/system/lib/liblog.so'.
02-29 07:42:55.691 D/Mono    (16248): DllImport searching in: '/system/lib/liblog.so' ('/system/lib/liblog.so').
02-29 07:42:55.691 D/Mono    (16248): Searching for '__android_log_print'.
02-29 07:42:55.691 D/Mono    (16248): Probing '__android_log_print'.
02-29 07:42:55.691 D/Mono    (16248): Found as '__android_log_print'.
02-29 07:42:55.691 I/mono-stdout(16248): Something wrong happened while asynchronously retrieving image size from file: Stream
Something wrong happened while asynchronously retrieving image size from file: Stream
02-29 07:42:55.691 I/mono-stdout(16248): System.NotSupportedException: Unable to activate instance of type Android.Runtime.InputStreamAdapter from native handle 0xd39eaa9c (key_handle 0xdab9c55). ---> System.MissingMethodException: No constructor found for Android.Runtime.InputStreamAdapter::.ctor(System.IntPtr, Android.Runtime.JniHandleOwnership) ---> Java.Interop.JavaLocationException: Exception of type 'Java.Interop.JavaLocationException' was thrown.
02-29 07:42:55.691 I/mono-stdout(16248): Java.Lang.Error: Exception of type 'Java.Lang.Error' was thrown.
02-29 07:42:55.691 I/mono-stdout(16248):   --- End of managed exception stack trace ---
02-29 07:42:55.691 I/mono-stdout(16248): java.lang.Error: Java callstack:
02-29 07:42:55.691 I/mono-stdout(16248): 	at mono.android.runtime.InputStreamAdapter.n_read(Native Method)
02-29 07:42:55.691 I/mono-stdout(16248): 	at mono.android.runtime.InputStreamAdapter.read(InputStreamAdapter.java:56)
02-29 07:42:55.691 I/mono-stdout(16248): 	at android.graphics.BitmapFactory.nativeDecodeStream(Native Method)
System.NotSupportedException: Unable to activate instance of type Android.Runtime.InputStreamAdapter from native handle 0xd39eaa9c (key_handle 0xdab9c55). ---> System.MissingMethodException: No constructor found for Android.Runtime.InputStreamAdapter::.ctor(System.IntPtr, Android.Runtime.JniHandleOwnership) ---> Java.Interop.JavaLocationException: Exception of type 'Java.Interop.JavaLocationException' was thrown.
Java.Lang.Error: Exception of type 'Java.Lang.Error' was thrown.

  --- End of managed exception stack trace ---
java.lang.Error: Java callstack:
	at mono.android.runtime.InputStreamAdapter.n_read(Native Method)
	at mono.android.runtime.InputStreamAdapter.read(InputStreamAdapter.java:56)
	at android.graphics.BitmapFactory.nativeDecodeStream(Native Method)
	at android.graphics.BitmapFactory.decodeStreamInternal(BitmapFactory.java:863)
	at android.graphics.BitmapFactory.decodeStream(BitmapFactory.java:839)
02-29 07:42:55.691 I/mono-stdout(16248): 	at android.graphics.BitmapFactory.decodeStreamInternal(BitmapFactory.java:863)
02-29 07:42:55.691 I/mono-stdout(16248): 	at android.graphics.BitmapFactory.decodeStream(BitmapFactory.java:839)
02-29 07:42:55.691 I/mono-stdout(16248):   --- End of inner exception stack trace ---
02-29 07:42:55.691 I/mono-stdout(16248):   at Java.Interop.TypeManager.CreateProxy (System.Type type, IntPtr handle, JniHandleOwnership transfer) [0x00039] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Interop/TypeManager.cs:304 
02-29 07:42:55.691 I/mono-stdout(16248):   at Java.Interop.TypeManager.CreateInstance (IntPtr handle, JniHandleOwnership transfer, System.Type targetType) [0x00138] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Interop/TypeManager.cs:282 
02-29 07:42:55.691 I/mono-stdout(16248):   --- End of inner exception stack trace ---
02-29 07:42:55.691 I/mono-stdout(16248):   at (wrapper dynamic-method) System.Object:2faee1a9-b999-4386-ace0-c057cb238818 (intptr,intptr,intptr,int,int)
02-29 07:42:55.691 I/mono-stdout(16248):   at (wrapper native-to-managed) System.Object:2faee1a9-b999-4386-ace0-c057cb238818 (intptr,intptr,intptr,int,int)
02-29 07:42:55.691 I/mono-stdout(16248):   at (wrapper managed-to-native) Java.Interop.NativeMethods:java_interop_jnienv_call_static_object_method_a (intptr,intptr&,intptr,intptr,Java.Interop.JniArgumentValue*)
02-29 07:42:55.691 I/mono-stdout(16248):   at Java.Interop.JniEnvironment+StaticMethods.CallStaticObjectMethod (JniObjectReference type, Java.Interop.JniMethodInfo method, Java.Interop.JniArgumentValue* args) [0x00069] in /Users/builder/data/lanes/1196/8f34ab48/source/Java.Interop/src/Java.Interop/Java.Interop/JniEnvironment.g.cs:12645 
02-29 07:42:55.691 I/mono-stdout(16248):   at Java.Interop.JniPeerMembers+JniStaticMethods.InvokeObjectMethod (System.String encodedMember, Java.Interop.JniArgumentValue* parameters) [0x0001b] in /Users/builder/data/lanes/1196/8f34ab48/source/Java.Interop/src/Java.Interop/Java.Interop/JniPeerMembers.JniStaticMethods.cs:97 
02-29 07:42:55.691 I/mono-stdout(16248):   at Android.Graphics.BitmapFactory.DecodeStream (System.IO.Stream is, Android.Graphics.Rect outPadding, Android.Graphics.Options opts) [0x00070] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/platforms/android-23/src/generated/Android.Graphics.BitmapFactory.cs:745 
02-29 07:42:55.691 I/mono-stdout(16248):   at FFImageLoading.Work.ImageLoaderTask+<GetDrawableAsync>c__async3.MoveNext () [0x001ab] in <filename unknown>:0 

  --- End of inner exception stack trace ---
  at Java.Interop.TypeManager.CreateProxy (System.Type type, IntPtr handle, JniHandleOwnership transfer) [0x00039] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Interop/TypeManager.cs:304 
  at Java.Interop.TypeManager.CreateInstance (IntPtr handle, JniHandleOwnership transfer, System.Type targetType) [0x00138] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/src/Java.Interop/TypeManager.cs:282 
  --- End of inner exception stack trace ---
  at (wrapper dynamic-method) System.Object:2faee1a9-b999-4386-ace0-c057cb238818 (intptr,intptr,intptr,int,int)
  at (wrapper native-to-managed) System.Object:2faee1a9-b999-4386-ace0-c057cb238818 (intptr,intptr,intptr,int,int)
  at (wrapper managed-to-native) Java.Interop.NativeMethods:java_interop_jnienv_call_static_object_method_a (intptr,intptr&,intptr,intptr,Java.Interop.JniArgumentValue*)
  at Java.Interop.JniEnvironment+StaticMethods.CallStaticObjectMethod
 (JniObjectReference type, Java.Interop.JniMethodInfo method, Java.Interop.JniArgumentValue* args) [0x00069] in /Users/builder/data/lanes/1196/8f34ab48/source/Java.Interop/src/Java.Interop/Java.Interop/JniEnvironment.g.cs:12645 
  at Java.Interop.JniPeerMembers+JniStaticMethods.InvokeObjectMethod (System.String encodedMember, Java.Interop.JniArgumentValue* parameters) [0x0001b] in /Users/builder/data/lanes/1196/8f34ab48/source/Java.Interop/src/Java.Interop/Java.Interop/JniPeerMembers.JniStaticMethods.cs:97 
  at Android.Graphics.BitmapFactory.DecodeStream (System.IO.Stream is, Android.Graphics.Rect outPadding, Android.Graphics.Options opts) [0x00070] in /Users/builder/data/lanes/1196/8f34ab48/source/monodroid/src/Mono.Android/platforms/android-23/src/generated/Android.Graphics.BitmapFactory.cs:745 
  at FFImageLoading.Work.ImageLoaderTask+<GetDrawableAsync>c__async3.MoveNext () [0x001ab] in <filename unknown>:0 
02-29 07:42:55.701 E/mono-rt (16248): Stacktrace:
02-29 07:42:55.701 E/mono-rt (16248): 
02-29 07:42:55.701 E/mono-rt (16248): 
02-29 07:42:55.701 E/mono-rt (16248): Attempting native Android stacktrace:
02-29 07:42:55.701 E/mono-rt (16248): 
The thread 'Unknown' (0x3) has exited with code 0 (0x0).
The thread 'Unknown' (0x4) has exited with code 0 (0x0).
Comment 3 david 2016-03-06 23:04:36 UTC
I also got this exception in MainActivity. It seems to me that it needs to be added to all Mono classes that subclass a Java class, because of the leaky abstraction problem.
Comment 4 david 2016-03-07 04:55:49 UTC
Further info: this exception has now occurred twice on startup of my app. The enclosed stack trace came via Xamarin Insights from a Nexus 5 running Android M:

System.NotSupportedExceptionUnable to activate instance of type MemberCentreApp.Droid.MainActivity from native handle 0x200019 (key_handle 0xa8779dd).
Raw
Java.Interop.TypeManager.CreateInstance(IntPtr handle, JniHandleOwnership transfer, Type targetType)
Java.Lang.Object.GetObject(IntPtr handle, JniHandleOwnership transfer, Type type)
Java.Lang.Object._GetObject<T>(IntPtr handle, JniHandleOwnership transfer)
Java.Lang.Object.GetObject<T>(IntPtr handle, JniHandleOwnership transfer)
Android.Views.View.get_Context()
Xamarin.Forms.Platform.Android.LabelRenderer.GetDesiredSize(int widthConstraint, int heightConstraint)
Xamarin.Forms.Platform.Android.Platform.Xamarin.Forms.IPlatform.GetNativeSize(VisualElement view, double widthConstraint, double heightConstraint)
Xamarin.Forms.VisualElement.OnSizeRequest(double widthConstraint, double heightConstraint)
MemberCentreApp.MCLabel.OnSizeRequest(double widthConstraint, double heightConstraint)
Xamarin.Forms.VisualElement.GetSizeRequest(double widthConstraint, double heightConstraint)
Xamarin.Forms.Layout.LayoutChildIntoBoundingRegion(VisualElement child, Rectangle region)
Xamarin.Forms.ContentView.LayoutChildren(double x, double y, double width, double height)
Xamarin.Forms.Layout.UpdateChildrenLayout()
Xamarin.Forms.Layout.OnSizeAllocated(double width, double height)
Xamarin.Forms.VisualElement.SizeAllocated(double width, double height)
Xamarin.Forms.Layout.OnChildMeasureInvalidated(VisualElement child, InvalidationTrigger trigger)
Xamarin.Forms.Layout.OnChildMeasureInvalidated(object sender, EventArgs e)
Xamarin.Forms.VisualElement.InvalidateMeasure(InvalidationTrigger trigger)
Xamarin.Forms.Label.OnTextPropertyChanged(BindableObject bindable, object oldvalue, object newvalue)
Xamarin.Forms.BindableObject.SetValueActual(BindableProperty property, BindablePropertyContext context, object value, bool currentlyApplying, SetValueFlags attributes, bool silent)
Xamarin.Forms.BindableObject.SetValueCore(BindableProperty property, object value, SetValueFlags attributes, SetValuePrivateFlags privateAttributes)
Xamarin.Forms.BindingExpression.ApplyCore(object sourceObject, BindableObject target, BindableProperty property, bool fromTarget)
Xamarin.Forms.BindingExpression.Apply(object sourceObject, BindableObject target, BindableProperty property)
Xamarin.Forms.Binding.Apply(object newContext, BindableObject bindObj, BindableProperty targetProperty)
Xamarin.Forms.BindableObject.ApplyBindings(object oldContext, bool skipBindingContext)
Xamarin.Forms.BindableObject.ApplyBindings(object oldContext)
Xamarin.Forms.BindableObject.SetInheritedBindingContext(BindableObject bindable, object value)
Xamarin.Forms.Element.OnBindingContextChanged()
Xamarin.Forms.View.OnBindingContextChanged()
Xamarin.Forms.BindableObject.SetInheritedBindingContext(BindableObject bindable, object value)
Xamarin.Forms.Element.OnBindingContextChanged()
Xamarin.Forms.Cell.OnBindingContextChanged()
Xamarin.Forms.BindableObject.BindingContextPropertyBindingPropertyChanged(BindableObject bindable, object oldvalue, object newvalue)
Xamarin.Forms.BindableObject.SetValueActual(BindableProperty property, BindablePropertyContext context, object value, bool currentlyApplying, SetValueFlags attributes, bool silent)
Xamarin.Forms.BindableObject.SetValueCore(BindableProperty property, object value, SetValueFlags attributes, SetValuePrivateFlags privateAttributes)
Xamarin.Forms.BindableObject.SetValue(BindableProperty property, object value, bool fromStyle, bool checkAccess)
Xamarin.Forms.BindableObject.SetValue(BindableProperty property, object value)
Xamarin.Forms.BindableObject.set_BindingContext(object value)
Xamarin.Forms.TemplatedItemsList<TView, TItem>.<UnhookItem>d__119.MoveNext()
Android.App.SyncContext.<Post>c__AnonStorey0.<>m__0()
Java.Lang.Thread.RunnableImplementor.Run()
Java.Lang.IRunnableInvoker.n_Run(IntPtr jnienv, IntPtr native__this)
at (wrapper dynamic-method) System.Object:a397fcfe-5301-429a-8983-4a5a86070dce (intptr,intptr)
System.MissingMethodExceptionNo constructor found for MemberCentreApp.Droid.MainActivity::.ctor(System.IntPtr, Android.Runtime.JniHandleOwnership)
Java.Interop.TypeManager.CreateProxy(Type type, IntPtr handle, JniHandleOwnership transfer)
Java.Interop.TypeManager.CreateInstance(IntPtr handle, JniHandleOwnership transfer, Type targetType)
Java.Lang.ErrorException of type 'Java.Interop.JavaLocationException' was thrown.
Java.Lang.Error: Exception of type 'Java.Lang.Error' was thrown.
--- End of managed exception stack trace ---
java.lang.Error: Java callstack:
mono.java.lang.RunnableImplementor.n_run(Native Method)
at mono.java.lang.RunnableImplementor.run(RunnableImplementor.java:29)
at android.app.Activity.runOnUiThread(Activity.java:5524)
md5b60ffeb829f638581ab2bb9b1a7f4f3f.PageRenderer.n_onAttachedToWindow(Native Method)
at md5b60ffeb829f638581ab2bb9b1a7f4f3f.PageRenderer.onAttachedToWindow(PageRenderer.java:54)
at android.view.View.dispatchAttachedToWindow(View.java:14520)
at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:2836)
at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:2843)
at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:2843)
at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:2843)
at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:2843)
at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:2843)
at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:2843)
at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:2843)
at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:2843)
at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:2843)
at android.view.ViewRootImpl.performTraversals(ViewRootImpl.java:1364)
at android.view.ViewRootImpl.doTraversal(ViewRootImpl.java:1107)
at android.view.ViewRootImpl$TraversalRunnable.run(ViewRootImpl.java:6013)
at android.view.Choreographer$CallbackRecord.run(Choreographer.java:858)
at android.view.Choreographer.doCallbacks(Choreographer.java:670)
at android.view.Choreographer.doFrame(Choreographer.java:606)
at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:844)
at android.os.Handler.handleCallback(Handler.java:739)
at android.os.Handler.dispatchMessage(Handler.java:95)
at android.os.Looper.loop(Looper.java:148)
at android.app.ActivityThread.main(ActivityThread.java:5417)
java.lang.reflect.Method.invoke(Native Method)
at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:726)
at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:616)
Comment 5 Jason Smith [MSFT] 2016-03-13 11:37:55 UTC
This happens if a renderer is not cleanly disconnected, added the constructor usually just means you're going to get a new slightly harder to debug crash.
Comment 6 david 2016-03-14 22:21:42 UTC
@Jason Smith so if it's a Xamarin.Forms stock renderer, what do we do?
Comment 7 adrianknight89 2016-04-26 03:26:52 UTC
I created a repro of a similar issue in another thread. Looks like many people are affected by this problem.

Please see: https://bugzilla.xamarin.com/show_bug.cgi?id=40692
Comment 8 philip 2016-04-26 15:07:57 UTC
I have a similar issue with the latest alpha bits as of today:

04-26 10:59:01.107 I/MonoDroid( 3322): UNHANDLED EXCEPTION:
04-26 10:59:01.108 I/MonoDroid( 3322): System.NotSupportedException: Unable to activate instance of type Xamarin.Forms.Platform.Android.Platform+DefaultRenderer from native handle 0xbfad328c (key_handle 0x22af869b). ---> System.MissingMethodException: No constructor found for Xamarin.Forms.Platform.Android.Platform+DefaultRenderer::.ctor(System.IntPtr, Android.Runtime.JniHandleOwnership) ---> Java.Interop.JavaLocationException: Exception of type 'Java.Interop.JavaLocationException' was thrown.
04-26 10:59:01.108 I/MonoDroid( 3322): Java.Lang.Error: Exception of type 'Java.Lang.Error' was thrown.
04-26 10:59:01.108 I/MonoDroid( 3322):   --- End of managed exception stack trace ---
04-26 10:59:01.108 I/MonoDroid( 3322): java.lang.Error: Java callstack:
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ViewRenderer_2.n_onLayout(Native Method)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ViewRenderer_2.onLayout(ViewRenderer_2.java:47)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ScrollViewContainer.n_onLayout(Native Method)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ScrollViewContainer.onLayout(ScrollViewContainer.java:54)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.widget.FrameLayout.layoutChildren(FrameLayout.java:579)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.widget.FrameLayout.onLayout(FrameLayout.java:514)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.widget.ScrollView.onLayout(ScrollView.java:1502)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ScrollViewRenderer.n_onLayout(Native Method)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ScrollViewRenderer.onLayout(ScrollViewRenderer.java:99)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.PlatformRenderer.n_onLayout(Native Method)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.PlatformRenderer.onLayout(PlatformRenderer.java:63)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.widget.LinearLayout.setChildFrame(LinearLayout.java:1703)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.widget.LinearLayout.layoutHorizontal(LinearLayout.java:1692)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.widget.LinearLayout.onLayout(LinearLayout.java:1468)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.widget.FrameLayout.layoutChildren(FrameLayout.java:579)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.widget.FrameLayout.onLayout(FrameLayout.java:514)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at com.android.internal.widget.ActionBarOverlayLayout.onLayout(ActionBarOverlayLayout.java:494)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.widget.FrameLayout.layoutChildren(FrameLayout.java:579)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.widget.FrameLayout.onLayout(FrameLayout.java:514)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewRootImpl.performLayout(ViewRootImpl.java:2086)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewRootImpl.performTraversals(ViewRootImpl.java:1843)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewRootImpl.doTraversal(ViewRootImpl.java:1061)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.ViewRootImpl$TraversalRunnable.run(ViewRootImpl.java:5885)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.Choreographer$CallbackRecord.run(Choreographer.java:767)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.Choreographer.doCallbacks(Choreographer.java:580)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.Choreographer.doFrame(Choreographer.java:550)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:753)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.os.Handler.handleCallback(Handler.java:739)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.os.Handler.dispatchMessage(Handler.java:95)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.os.Looper.loop(Looper.java:135)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at android.app.ActivityThread.main(ActivityThread.java:5254)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at java.lang.reflect.Method.invoke(Native Method)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at java.lang.reflect.Method.invoke(Method.java:372)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:903)
04-26 10:59:01.108 I/MonoDroid( 3322): 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:698)
04-26 10:59:01.108 I/MonoDroid( 3322):   --- End of inner exception stack trace ---
04-26 10:59:01.108 I/MonoDroid( 3322):   at Java.Interop.TypeManager.CreateProxy (System.Type type, IntPtr handle, JniHandleOwnership transfer) [0x00039] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Java.Interop/TypeManager.cs:304 
04-26 10:59:01.108 I/MonoDroid( 3322):   at Java.Interop.TypeManager.CreateInstance (IntPtr handle, JniHandleOwnership transfer, System.Type targetType) [0x00138] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Java.Interop/TypeManager.cs:282 
04-26 10:59:01.108 I/MonoDroid( 3322):   --- End of inner exception stack trace ---
04-26 10:59:01.108 I/MonoDroid( 3322):   at Java.Interop.TypeManager.CreateInstance (IntPtr handle, JniHandleOwnership transfer, System.Type targetType) [0x00186] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Java.Interop/TypeManager.cs:289 
04-26 10:59:01.108 I/MonoDroid( 3322):   at Java.Lang.Object.GetObject (IntPtr handle, JniHandleOwnership transfer, System.Type type) [0x000e5] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Java.Lang/Object.cs:459 
04-26 10:59:01.108 I/MonoDroid( 3322):   at Java.Lang.Object._GetObject[T] (IntPtr handle, JniHandleOwnership transfer) [0x0001a] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Java.Lang/Object.cs:430 
04-26 10:59:01.108 I/MonoDroid( 3322):   at Java.Lang.Object.GetObject[T] (IntPtr handle, JniHandleOwnership transfer) [0x00000] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Java.Lang/Object.cs:422 
04-26 10:59:01.108 I/MonoDroid( 3322):   at Java.Lang.Object.GetObject[T] (IntPtr jnienv, IntPtr handle, JniHandleOwnership transfer) [0x00006] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Java.Lang/Object.cs:416 
04-26 10:59:01.108 I/MonoDroid( 3322):   at Xamarin.Forms.Platform.Android.FormsViewGroup.n_OnLayout_ZIIII (IntPtr jnienv, IntPtr native__this, Boolean p0, Int32 p1, Int32 p2, Int32 p3, Int32 p4) [0x00000] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:239 
04-26 10:59:01.108 I/MonoDroid( 3322):   at (wrapper dynamic-method) System.Object:e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,bool,int,int,int,int)
04-26 10:59:01.111 W/art     ( 3322): JNI RegisterNativeMethods: attempt to register 0 native methods for android.runtime.JavaProxyThrowable
04-26 10:59:01.113 D/Mono    ( 3322): DllImport searching in: '__Internal' ('(null)').
04-26 10:59:01.113 D/Mono    ( 3322): Searching for 'java_interop_jnienv_throw'.
04-26 10:59:01.113 D/Mono    ( 3322): Probing 'java_interop_jnienv_throw'.
04-26 10:59:01.113 D/Mono    ( 3322): Found as 'java_interop_jnienv_throw'.
04-26 10:59:04.315 I/MonoDroid( 3322): UNHANDLED EXCEPTION:
04-26 10:59:04.315 I/MonoDroid( 3322): System.NotSupportedException: Unable to activate instance of type Xamarin.Forms.Platform.Android.Platform+DefaultRenderer from native handle 0xbfad328c (key_handle 0x22af869b). ---> System.MissingMethodException: No constructor found for Xamarin.Forms.Platform.Android.Platform+DefaultRenderer::.ctor(System.IntPtr, Android.Runtime.JniHandleOwnership) ---> Java.Interop.JavaLocationException: Exception of type 'Java.Interop.JavaLocationException' was thrown.
04-26 10:59:04.315 I/MonoDroid( 3322): Java.Lang.Error: Exception of type 'Java.Lang.Error' was thrown.
04-26 10:59:04.315 I/MonoDroid( 3322):   --- End of managed exception stack trace ---
04-26 10:59:04.315 I/MonoDroid( 3322): java.lang.Error: Java callstack:
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ViewRenderer_2.n_onLayout(Native Method)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ViewRenderer_2.onLayout(ViewRenderer_2.java:47)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ScrollViewContainer.n_onLayout(Native Method)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ScrollViewContainer.onLayout(ScrollViewContainer.java:54)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.widget.FrameLayout.layoutChildren(FrameLayout.java:579)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.widget.FrameLayout.onLayout(FrameLayout.java:514)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.widget.ScrollView.onLayout(ScrollView.java:1502)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ScrollViewRenderer.n_onLayout(Native Method)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ScrollViewRenderer.onLayout(ScrollViewRenderer.java:99)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:49)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.PlatformRenderer.n_onLayout(Native Method)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.PlatformRenderer.onLayout(PlatformRenderer.java:63)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.widget.LinearLayout.setChildFrame(LinearLayout.java:1703)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.widget.LinearLayout.layoutHorizontal(LinearLayout.java:1692)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.widget.LinearLayout.onLayout(LinearLayout.java:1468)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.widget.FrameLayout.layoutChildren(FrameLayout.java:579)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.widget.FrameLayout.onLayout(FrameLayout.java:514)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at com.android.internal.widget.ActionBarOverlayLayout.onLayout(ActionBarOverlayLayout.java:494)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.widget.FrameLayout.layoutChildren(FrameLayout.java:579)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.widget.FrameLayout.onLayout(FrameLayout.java:514)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.View.layout(View.java:15671)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewGroup.layout(ViewGroup.java:5038)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewRootImpl.performLayout(ViewRootImpl.java:2086)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewRootImpl.performTraversals(ViewRootImpl.java:1843)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewRootImpl.doTraversal(ViewRootImpl.java:1061)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.ViewRootImpl$TraversalRunnable.run(ViewRootImpl.java:5885)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.Choreographer$CallbackRecord.run(Choreographer.java:767)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.Choreographer.doCallbacks(Choreographer.java:580)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.Choreographer.doFrame(Choreographer.java:550)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:753)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.os.Handler.handleCallback(Handler.java:739)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.os.Handler.dispatchMessage(Handler.java:95)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.os.Looper.loop(Looper.java:135)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at android.app.ActivityThread.main(ActivityThread.java:5254)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at java.lang.reflect.Method.invoke(Native Method)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at java.lang.reflect.Method.invoke(Method.java:372)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:903)
04-26 10:59:04.315 I/MonoDroid( 3322): 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:698)
04-26 10:59:04.315 I/MonoDroid( 3322):   --- End of inner exception stack trace ---
04-26 10:59:04.315 I/MonoDroid( 3322):   at Java.Interop.TypeManager.CreateProxy (System.Type type, IntPtr handle, JniHandleOwnership transfer) [0x00039] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Java.Interop/TypeManager.cs:304 
04-26 10:59:04.315 I/MonoDroid( 3322):   at Java.Interop.TypeManager.CreateInstance (IntPtr handle, JniHandleOwnership transfer, System.Type targetType) [0x00138] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Java.Interop/TypeManager.cs:282 
04-26 10:59:04.315 I/MonoDroid( 3322):   --- End of inner exception stack trace ---
04-26 10:59:04.315 I/MonoDroid( 3322):   at (wrapper dynamic-method) System.Object:e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,bool,int,int,int,int)
04-26 10:59:04.315 I/MonoDroid( 3322):   at (wrapper native-to-managed) System.Object:e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,int,int,int,int,int)
04-26 10:59:04.315 I/MonoDroid( 3322):   at (wrapper managed-to-native) Java.Interop.NativeMethods:java_interop_jnienv_call_nonvirtual_void_method_a (intptr,intptr&,intptr,intptr,intptr,Java.Interop.JniArgumentValue*)
04-26 10:59:04.315 I/MonoDroid( 3322):   at Java.Interop.JniEnvironment+InstanceMethods.CallNonvirtualVoidMethod (JniObjectReference instance, JniObjectReference type, Java.Interop.JniMethodInfo method, Java.Interop.JniArgumentValue* args) [0x0008f] in /Users/builder/data/lanes/2923/b4be22e9/source/Java.Interop/src/Java.Interop/Java.Interop/JniEnvironment.g.cs:12079 
04-26 10:59:04.315 I/MonoDroid( 3322):   at Android.Runtime.JNIEnv.CallNonvirtualVoidMethod (IntPtr jobject, IntPtr jclass, IntPtr jmethod, Android.Runtime.JValue* parms) [0x00000] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Runtime/JNIEnv.g.cs:444 
04-26 10:59:04.315 I/MonoDroid( 3322):   at Xamarin.Forms.Platform.Android.FormsViewGroup.MeasureAndLayout (Int32 p0, Int32 p1, Int32 p2, Int32 p3, Int32 p4, Int32 p5) [0x000d5] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:223 
04-26 10:59:04.315 I/MonoDroid( 3322):   at Xamarin.Forms.Platform.Android.VisualElementTracker.UpdateLayout () [0x000a2] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementTracker.cs:89 
04-26 10:59:04.315 I/MonoDroid( 3322):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1[TElement].UpdateLayout () [0x00008] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:137 
04-26 10:59:04.315 I/MonoDroid( 3322):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1[TElement].OnLayout (Boolean changed, Int32 l, Int32 t, Int32 r, Int32 b) [0x00039] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:310 
04-26 10:59:04.315 I/MonoDroid( 3322):   at Xamarin.Forms.Platform.Android.FormsViewGroup.n_OnLayout_ZIIII (IntPtr jnienv, IntPtr native__this, Boolean p0, Int32 p1, Int32 p2, Int32 p3, Int32 p4) [0x00008] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:240 
04-26 10:59:04.315 I/MonoDroid( 3322):   at (wrapper dynamic-method) System.Object:e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,bool,int,int,int,int)
04-26 10:59:04.315 E/mono-rt ( 3322): Stacktrace:
04-26 10:59:04.315 E/mono-rt ( 3322): 
04-26 10:59:04.315 E/mono-rt ( 3322):   at <unknown> <0xffffffff>
04-26 10:59:04.315 E/mono-rt ( 3322):   at (wrapper managed-to-native) Java.Interop.NativeMethods.java_interop_jnienv_new_string (intptr,intptr&,char*,int) <0x00012>
04-26 10:59:04.315 E/mono-rt ( 3322):   at Java.Interop.JniEnvironment/Strings.NewString (char*,int) [0x0000a] in /Users/builder/data/lanes/2923/b4be22e9/source/Java.Interop/src/Java.Interop/Java.Interop/JniEnvironment.g.cs:13019
04-26 10:59:04.315 E/mono-rt ( 3322):   at Java.Interop.JniEnvironment/Strings.NewString (string) [0x00028] in /Users/builder/data/lanes/2923/b4be22e9/source/Java.Interop/src/Java.Interop/Java.Interop/JniEnvironment.Strings.cs:15
04-26 10:59:04.315 E/mono-rt ( 3322):   at Android.Runtime.JNIEnv.NewString (string) [0x0000c] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Runtime/JNIEnv.cs:893
04-26 10:59:04.315 E/mono-rt ( 3322):   at Java.Lang.Throwable..ctor (string) [0x00022] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/platforms/android-23/src/generated/Java.Lang.Throwable.cs:47
04-26 10:59:04.315 E/mono-rt ( 3322):   at Android.Runtime.JavaProxyThrowable..ctor (System.Exception) [0x00000] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Runtime/JavaProxyThrowable.cs:10
04-26 10:59:04.315 E/mono-rt ( 3322):   at Java.Lang.Throwable.FromException (System.Exception) [0x00023] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Java.Lang/Throwable.cs:217
04-26 10:59:04.315 E/mono-rt ( 3322):   at Android.Runtime.AndroidEnvironment.UnhandledException (System.Exception) [0x0007e] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Runtime/AndroidEnvironment.cs:116
04-26 10:59:04.315 E/mono-rt ( 3322):   at (wrapper dynamic-method) object.e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,bool,int,int,int,int) <IL 0x00047, 0x0009b>
04-26 10:59:04.315 E/mono-rt ( 3322):   at (wrapper native-to-managed) object.e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,int,int,int,int,int) <IL 0x0002e, 0x000c3>
04-26 10:59:04.315 E/mono-rt ( 3322):   at <unknown> <0xffffffff>
04-26 10:59:04.315 E/mono-rt ( 3322):   at (wrapper managed-to-native) Java.Interop.NativeMethods.java_interop_jnienv_call_nonvirtual_void_method_a (intptr,intptr&,intptr,intptr,intptr,Java.Interop.JniArgumentValue*) <0x00012>
04-26 10:59:04.315 E/mono-rt ( 3322):   at Java.Interop.JniEnvironment/InstanceMethods.CallNonvirtualVoidMethod (Java.Interop.JniObjectReference,Java.Interop.JniObjectReference,Java.Interop.JniMethodInfo,Java.Interop.JniArgumentValue*) [0x0008f] in /Users/builder/data/lanes/2923/b4be22e9/source/Java.Interop/src/Java.Interop/Java.Interop/JniEnvironment.g.cs:12079
04-26 10:59:04.315 E/mono-rt ( 3322):   at Android.Runtime.JNIEnv.CallNonvirtualVoidMethod (intptr,intptr,intptr,Android.Runtime.JValue*) [0x00000] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Runtime/JNIEnv.g.cs:444
04-26 10:59:04.315 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.FormsViewGroup.MeasureAndLayout (int,int,int,int,int,int) [0x000d5] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:223
04-26 10:59:04.315 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementTracker.UpdateLayout () [0x000a2] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementTracker.cs:89
04-26 10:59:04.315 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1<TElement_REF>.UpdateLayout () [0x00008] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:137
04-26 10:59:04.315 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1<TElement_REF>.OnLayout (bool,int,int,int,int) [0x00039] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:310
04-26 10:59:04.315 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.FormsViewGroup.n_OnLayout_ZIIII (intptr,intptr,bool,int,int,int,int) [0x00008] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:240
04-26 10:59:04.315 E/mono-rt ( 3322):   at (wrapper dynamic-method) object.e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,bool,int,int,int,int) <IL 0x0002f, 0x0005b>
04-26 10:59:04.315 E/mono-rt ( 3322):   at (wrapper native-to-managed) object.e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,int,int,int,int,int) <IL 0x0002e, 0x000c3>
04-26 10:59:04.315 E/mono-rt ( 3322):   at <unknown> <0xffffffff>
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper managed-to-native) Java.Interop.NativeMethods.java_interop_jnienv_call_nonvirtual_void_method_a (intptr,intptr&,intptr,intptr,intptr,Java.Interop.JniArgumentValue*) <0x00012>
04-26 10:59:04.316 E/mono-rt ( 3322):   at Java.Interop.JniEnvironment/InstanceMethods.CallNonvirtualVoidMethod (Java.Interop.JniObjectReference,Java.Interop.JniObjectReference,Java.Interop.JniMethodInfo,Java.Interop.JniArgumentValue*) [0x0008f] in /Users/builder/data/lanes/2923/b4be22e9/source/Java.Interop/src/Java.Interop/Java.Interop/JniEnvironment.g.cs:12079
04-26 10:59:04.316 E/mono-rt ( 3322):   at Android.Runtime.JNIEnv.CallNonvirtualVoidMethod (intptr,intptr,intptr,Android.Runtime.JValue*) [0x00000] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Runtime/JNIEnv.g.cs:444
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.FormsViewGroup.MeasureAndLayout (int,int,int,int,int,int) [0x000d5] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:223
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementTracker.UpdateLayout () [0x000a2] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementTracker.cs:89
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1<TElement_REF>.UpdateLayout () [0x00008] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:137
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1<TElement_REF>.OnLayout (bool,int,int,int,int) [0x00039] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:310
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.FormsViewGroup.n_OnLayout_ZIIII (intptr,intptr,bool,int,int,int,int) [0x00008] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:240
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper dynamic-method) object.e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,bool,int,int,int,int) <IL 0x0002f, 0x0005b>
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper native-to-managed) object.e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,int,int,int,int,int) <IL 0x0002e, 0x000c3>
04-26 10:59:04.316 E/mono-rt ( 3322):   at <unknown> <0xffffffff>
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper managed-to-native) Java.Interop.NativeMethods.java_interop_jnienv_call_nonvirtual_void_method_a (intptr,intptr&,intptr,intptr,intptr,Java.Interop.JniArgumentValue*) <0x00012>
04-26 10:59:04.316 E/mono-rt ( 3322):   at Java.Interop.JniEnvironment/InstanceMethods.CallNonvirtualVoidMethod (Java.Interop.JniObjectReference,Java.Interop.JniObjectReference,Java.Interop.JniMethodInfo,Java.Interop.JniArgumentValue*) [0x0008f] in /Users/builder/data/lanes/2923/b4be22e9/source/Java.Interop/src/Java.Interop/Java.Interop/JniEnvironment.g.cs:12079
04-26 10:59:04.316 E/mono-rt ( 3322):   at Android.Runtime.JNIEnv.CallNonvirtualVoidMethod (intptr,intptr,intptr,Android.Runtime.JValue*) [0x00000] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Runtime/JNIEnv.g.cs:444
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.FormsViewGroup.MeasureAndLayout (int,int,int,int,int,int) [0x000d5] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:223
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementTracker.UpdateLayout () [0x000a2] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementTracker.cs:89
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1<TElement_REF>.UpdateLayout () [0x00008] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:137
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1<TElement_REF>.OnLayout (bool,int,int,int,int) [0x00039] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:310
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.FormsViewGroup.n_OnLayout_ZIIII (intptr,intptr,bool,int,int,int,int) [0x00008] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:240
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper dynamic-method) object.e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,bool,int,int,int,int) <IL 0x0002f, 0x0005b>
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper native-to-managed) object.e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,int,int,int,int,int) <IL 0x0002e, 0x000c3>
04-26 10:59:04.316 E/mono-rt ( 3322):   at <unknown> <0xffffffff>
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper managed-to-native) Java.Interop.NativeMethods.java_interop_jnienv_call_nonvirtual_void_method_a (intptr,intptr&,intptr,intptr,intptr,Java.Interop.JniArgumentValue*) <0x00012>
04-26 10:59:04.316 E/mono-rt ( 3322):   at Java.Interop.JniEnvironment/InstanceMethods.CallNonvirtualVoidMethod (Java.Interop.JniObjectReference,Java.Interop.JniObjectReference,Java.Interop.JniMethodInfo,Java.Interop.JniArgumentValue*) [0x0008f] in /Users/builder/data/lanes/2923/b4be22e9/source/Java.Interop/src/Java.Interop/Java.Interop/JniEnvironment.g.cs:12079
04-26 10:59:04.316 E/mono-rt ( 3322):   at Android.Runtime.JNIEnv.CallNonvirtualVoidMethod (intptr,intptr,intptr,Android.Runtime.JValue*) [0x00000] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Runtime/JNIEnv.g.cs:444
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.FormsViewGroup.MeasureAndLayout (int,int,int,int,int,int) [0x000d5] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:223
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementTracker.UpdateLayout () [0x000a2] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementTracker.cs:89
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1<TElement_REF>.UpdateLayout () [0x00008] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:137
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1<TElement_REF>.OnLayout (bool,int,int,int,int) [0x00039] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:310
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.ViewRenderer`2<TView_REF, TNativeView_REF>.OnLayout (bool,int,int,int,int) [0x00000] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\ViewRenderer.cs:116
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.FormsViewGroup.n_OnLayout_ZIIII (intptr,intptr,bool,int,int,int,int) [0x00008] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:240
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper dynamic-method) object.e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,bool,int,int,int,int) <IL 0x0002f, 0x0005b>
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper native-to-managed) object.e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,int,int,int,int,int) <IL 0x0002e, 0x000c3>
04-26 10:59:04.316 E/mono-rt ( 3322):   at <unknown> <0xffffffff>
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper managed-to-native) Java.Interop.NativeMethods.java_interop_jnienv_call_nonvirtual_void_method_a (intptr,intptr&,intptr,intptr,intptr,Java.Interop.JniArgumentValue*) <0x00012>
04-26 10:59:04.316 E/mono-rt ( 3322):   at Java.Interop.JniEnvironment/InstanceMethods.CallNonvirtualVoidMethod (Java.Interop.JniObjectReference,Java.Interop.JniObjectReference,Java.Interop.JniMethodInfo,Java.Interop.JniArgumentValue*) [0x0008f] in /Users/builder/data/lanes/2923/b4be22e9/source/Java.Interop/src/Java.Interop/Java.Interop/JniEnvironment.g.cs:12079
04-26 10:59:04.316 E/mono-rt ( 3322):   at Android.Runtime.JNIEnv.CallNonvirtualVoidMethod (intptr,intptr,intptr,Android.Runtime.JValue*) [0x00000] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Runtime/JNIEnv.g.cs:444
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.FormsViewGroup.MeasureAndLayout (int,int,int,int,int,int) [0x000d5] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:223
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementTracker.UpdateLayout () [0x000a2] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementTracker.cs:89
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1<TElement_REF>.UpdateLayout () [0x00008] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:137
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.ScrollViewContainer.OnLayout (bool,int,int,int,int) [0x00014] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\Renderers\ScrollViewContainer.cs:61
04-26 10:59:04.316 E/mono-rt ( 3322):   at Android.Views.ViewGroup.n_OnLayout_ZIIII (intptr,intptr,bool,int,int,int,int) [0x00009] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/platforms/android-23/src/generated/Android.Views.ViewGroup.cs:3427
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper dynamic-method) object.cc49c020-ede6-40f8-b3c1-076f02d47160 (intptr,intptr,bool,int,int,int,int) <IL 0x0002f, 0x0005b>
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper native-to-managed) object.cc49c020-ede6-40f8-b3c1-076f02d47160 (intptr,intptr,int,int,int,int,int) <IL 0x0002e, 0x000c3>
04-26 10:59:04.316 E/mono-rt ( 3322):   at <unknown> <0xffffffff>
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper managed-to-native) Java.Interop.NativeMethods.java_interop_jnienv_call_nonvirtual_void_method_a (intptr,intptr&,intptr,intptr,intptr,Java.Interop.JniArgumentValue*) <0x00012>
04-26 10:59:04.316 E/mono-rt ( 3322):   at Java.Interop.JniEnvironment/InstanceMethods.CallNonvirtualVoidMethod (Java.Interop.JniObjectReference,Java.Interop.JniObjectReference,Java.Interop.JniMethodInfo,Java.Interop.JniArgumentValue*) [0x0008f] in /Users/builder/data/lanes/2923/b4be22e9/source/Java.Interop/src/Java.Interop/Java.Interop/JniEnvironment.g.cs:12079
04-26 10:59:04.316 E/mono-rt ( 3322):   at Java.Interop.JniPeerMembers/JniInstanceMethods.InvokeVirtualVoidMethod (string,Java.Interop.IJavaPeerable,Java.Interop.JniArgumentValue*) [0x00068] in /Users/builder/data/lanes/2923/b4be22e9/source/Java.Interop/src/Java.Interop/Java.Interop/JniPeerMembers.JniInstanceMethods_Invoke.cs:31
04-26 10:59:04.316 E/mono-rt ( 3322):   at Android.Widget.FrameLayout.OnLayout (bool,int,int,int,int) [0x0006b] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/platforms/android-23/src/generated/Android.Widget.FrameLayout.cs:579
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.ScrollViewRenderer.OnLayout (bool,int,int,int,int) [0x00000] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\Renderers\ScrollViewRenderer.cs:185
04-26 10:59:04.316 E/mono-rt ( 3322):   at Android.Widget.FrameLayout.n_OnLayout_ZIIII (intptr,intptr,bool,int,int,int,int) [0x00009] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/platforms/android-23/src/generated/Android.Widget.FrameLayout.cs:563
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper dynamic-method) object.b67262c5-cc25-4b2f-a7ad-9f4ab8489ca3 (intptr,intptr,bool,int,int,int,int) <IL 0x0002f, 0x0005b>
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper native-to-managed) object.b67262c5-cc25-4b2f-a7ad-9f4ab8489ca3 (intptr,intptr,int,int,int,int,int) <IL 0x0002e, 0x000c3>
04-26 10:59:04.316 E/mono-rt ( 3322):   at <unknown> <0xffffffff>
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper managed-to-native) Java.Interop.NativeMethods.java_interop_jnienv_call_nonvirtual_void_method_a (intptr,intptr&,intptr,intptr,intptr,Java.Interop.JniArgumentValue*) <0x00012>
04-26 10:59:04.316 E/mono-rt ( 3322):   at Java.Interop.JniEnvironment/InstanceMethods.CallNonvirtualVoidMethod (Java.Interop.JniObjectReference,Java.Interop.JniObjectReference,Java.Interop.JniMethodInfo,Java.Interop.JniArgumentValue*) [0x0008f] in /Users/builder/data/lanes/2923/b4be22e9/source/Java.Interop/src/Java.Interop/Java.Interop/JniEnvironment.g.cs:12079
04-26 10:59:04.316 E/mono-rt ( 3322):   at Java.Interop.JniPeerMembers/JniInstanceMethods.InvokeNonvirtualVoidMethod (string,Java.Interop.IJavaPeerable,Java.Interop.JniArgumentValue*) [0x00022] in /Users/builder/data/lanes/2923/b4be22e9/source/Java.Interop/src/Java.Interop/Java.Interop/JniPeerMembers.JniInstanceMethods_Invoke.cs:41
04-26 10:59:04.316 E/mono-rt ( 3322):   at Android.Views.ViewGroup.Layout (int,int,int,int) [0x00055] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/platforms/android-23/src/generated/Android.Views.ViewGroup.cs:3188
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementTracker.UpdateLayout () [0x00090] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementTracker.cs:83
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.ScrollViewRenderer.UpdateLayout () [0x00008] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\Renderers\ScrollViewRenderer.cs:88
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1<TElement_REF>.OnLayout (bool,int,int,int,int) [0x00039] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:310
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.FormsViewGroup.n_OnLayout_ZIIII (intptr,intptr,bool,int,int,int,int) [0x00008] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:240
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper dynamic-method) object.e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,bool,int,int,int,int) <IL 0x0002f, 0x0005b>
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper native-to-managed) object.e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,int,int,int,int,int) <IL 0x0002e, 0x000c3>
04-26 10:59:04.316 E/mono-rt ( 3322):   at <unknown> <0xffffffff>
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper managed-to-native) Java.Interop.NativeMethods.java_interop_jnienv_call_nonvirtual_void_method_a (intptr,intptr&,intptr,intptr,intptr,Java.Interop.JniArgumentValue*) <0x00012>
04-26 10:59:04.316 E/mono-rt ( 3322):   at Java.Interop.JniEnvironment/InstanceMethods.CallNonvirtualVoidMethod (Java.Interop.JniObjectReference,Java.Interop.JniObjectReference,Java.Interop.JniMethodInfo,Java.Interop.JniArgumentValue*) [0x0008f] in /Users/builder/data/lanes/2923/b4be22e9/source/Java.Interop/src/Java.Interop/Java.Interop/JniEnvironment.g.cs:12079
04-26 10:59:04.316 E/mono-rt ( 3322):   at Android.Runtime.JNIEnv.CallNonvirtualVoidMethod (intptr,intptr,intptr,Android.Runtime.JValue*) [0x00000] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Runtime/JNIEnv.g.cs:444
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.FormsViewGroup.MeasureAndLayout (int,int,int,int,int,int) [0x000d5] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:223
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementTracker.UpdateLayout () [0x000a2] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementTracker.cs:89
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1<TElement_REF>.UpdateLayout () [0x00008] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:137
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1<TElement_REF>.OnLayout (bool,int,int,int,int) [0x00039] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:310
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.FormsViewGroup.n_OnLayout_ZIIII (intptr,intptr,bool,int,int,int,int) [0x00008] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:240
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper dynamic-method) object.e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,bool,int,int,int,int) <IL 0x0002f, 0x0005b>
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper native-to-managed) object.e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,int,int,int,int,int) <IL 0x0002e, 0x000c3>
04-26 10:59:04.316 E/mono-rt ( 3322):   at <unknown> <0xffffffff>
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper managed-to-native) Java.Interop.NativeMethods.java_interop_jnienv_call_nonvirtual_void_method_a (intptr,intptr&,intptr,intptr,intptr,Java.Interop.JniArgumentValue*) <0x00012>
04-26 10:59:04.316 E/mono-rt ( 3322):   at Java.Interop.JniEnvironment/InstanceMethods.CallNonvirtualVoidMethod (Java.Interop.JniObjectReference,Java.Interop.JniObjectReference,Java.Interop.JniMethodInfo,Java.Interop.JniArgumentValue*) [0x0008f] in /Users/builder/data/lanes/2923/b4be22e9/source/Java.Interop/src/Java.Interop/Java.Interop/JniEnvironment.g.cs:12079
04-26 10:59:04.316 E/mono-rt ( 3322):   at Android.Runtime.JNIEnv.CallNonvirtualVoidMethod (intptr,intptr,intptr,Android.Runtime.JValue*) [0x00000] in /Users/builder/data/lanes/2923/b4be22e9/source/monodroid/src/Mono.Android/src/Runtime/JNIEnv.g.cs:444
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.FormsViewGroup.MeasureAndLayout (int,int,int,int,int,int) [0x000d5] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:223
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementTracker.UpdateLayout () [0x000a2] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementTracker.cs:89
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1<TElement_REF>.UpdateLayout () [0x00008] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:137
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1<TElement_REF>.OnLayout (bool,int,int,int,int) [0x00039] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:310
04-26 10:59:04.316 E/mono-rt ( 3322):   at Xamarin.Forms.Platform.Android.FormsViewGroup.n_OnLayout_ZIIII (intptr,intptr,bool,int,int,int,int) [0x00008] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:240
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper dynamic-method) object.e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,bool,int,int,int,int) <IL 0x0002f, 0x0005b>
04-26 10:59:04.316 E/mono-rt ( 3322):   at (wrapper native-to-managed) object.e2af774e-1124-47f7-a8c7-db3c409977a6 (intptr,intptr,int,int,int,int,int) <IL 0x0002e, 0x000c3>
04-26 10:59:04.319 E/mono-rt ( 3322):  at _ZN3art20CurrentMethodVisitor10VisitFrameEv+40 [0xb3a4cd98]
04-26 10:59:04.319 E/mono-rt ( 3322):  at _ZN3art12StackVisitor9WalkStackEb+245 [0xb3a4b945]
04-26 10:59:04.319 E/mono-rt ( 3322):  at _ZNK3art6Thread16GetCurrentMethodEPjb+111 [0xb3a4de2f]
04-26 10:59:04.319 E/mono-rt ( 3322):  at _ZN3artL8JniAbortEPKcS1_+1035 [0xb376922b]
04-26 10:59:04.319 E/mono-rt ( 3322):  at _ZN3art9JniAbortFEPKcS1_z+98 [0xb3769fa2]
04-26 10:59:04.319 E/mono-rt ( 3322):  at _ZN3art11ScopedCheck11CheckThreadEi+2093 [0xb376fe4d]
04-26 10:59:04.319 E/mono-rt ( 3322):  at _ZN3art11ScopedCheckC2EP7_JNIEnviPKc+1095 [0xb3770837]
04-26 10:59:04.319 E/mono-rt ( 3322):  at _ZN3art8CheckJNI9NewStringEP7_JNIEnvPKti+75 [0xb3775cfb]
04-26 10:59:04.319 E/mono-rt ( 3322):  at java_interop_jnienv_new_string+50 [0xb27c496f]
04-26 10:59:04.319 E/mono-rt ( 3322):  at ???+50 [0x9aecd9df]
04-26 10:59:04.319 E/mono-rt ( 3322):  at ???+50 [0x9aecd7c7]
04-26 10:59:04.319 E/mono-rt ( 3322):  at ???+50 [0x9ae30f6b]
04-26 10:59:04.319 E/mono-rt ( 3322):  at ???+50 [0x9ae30def]
04-26 10:59:04.319 E/mono-rt ( 3322):  at ???+50 [0x9ae8e65f]
04-26 10:59:04.319 E/mono-rt ( 3322):  at ???+50 [0x9ae8e433]
04-26 10:59:04.319 E/mono-rt ( 3322):  at ???+50 [0x9ae8e38f]
04-26 10:59:04.319 E/mono-rt ( 3322):  at ???+50 [0x9ae8dec7]
04-26 10:59:04.319 E/mono-rt ( 3322):  at ???+50 [0x9aee6cd3]
04-26 10:59:04.319 E/mono-rt ( 3322):  at ???+50 [0x989086f3]
04-26 10:59:04.319 E/mono-rt ( 3322):  at ???+50 [0xa2fe284f]
04-26 10:59:04.319 E/mono-rt ( 3322):  at ???+50 [0xb0387869]
04-26 10:59:04.319 E/mono-rt ( 3322): 
04-26 10:59:04.319 E/mono-rt ( 3322): =================================================================
04-26 10:59:04.319 E/mono-rt ( 3322): Got a SIGSEGV while executing native code. This usually indicates
04-26 10:59:04.319 E/mono-rt ( 3322): a fatal error in the mono runtime or one of the native libraries 
04-26 10:59:04.319 E/mono-rt ( 3322): used by your application.
04-26 10:59:04.319 E/mono-rt ( 3322): =================================================================
04-26 10:59:04.319 E/mono-rt ( 3322): 
04-26 10:59:04.319 F/libc    ( 3322): Fatal signal 11 (SIGSEGV), code 1, fault addr 0x2a in tid 3322 (m.ptdsp.android)
Comment 9 adrianknight89 2016-10-19 20:05:41 UTC
I'm not seeing this issue anymore with Cycle 8, but I'll keep it open if others continue seeing it.
Comment 10 Paul DiPietro [MSFT] 2017-03-13 17:42:42 UTC
If this is no longer occurring and as no one has reported anything else, I'm going to close the issue. It can of course be reopened if something crops up again.
Comment 11 Namyslaw Szymaniuk 2018-01-10 12:16:27 UTC
I've just reproduced something similar at latest XF release 2.5.0.122203 :

01-10 13:11:06.126 E/mono-rt (26276): Stacktrace:
01-10 13:11:06.126 E/mono-rt (26276): 
01-10 13:11:06.126 E/mono-rt (26276):   at <unknown> <0xffffffff>
01-10 13:11:06.127 E/mono-rt (26276):   at (wrapper managed-to-native) Java.Interop.NativeMethods.java_interop_jnienv_call_nonvirtual_void_method_a (intptr,intptr&,intptr,intptr,intptr,Java.Interop.JniArgumentValue*) <0x00057>
01-10 13:11:06.127 E/mono-rt (26276):   at Java.Interop.JniEnvironment/InstanceMethods.CallNonvirtualVoidMethod (Java.Interop.JniObjectReference,Java.Interop.JniObjectReference,Java.Interop.JniMethodInfo,Java.Interop.JniArgumentValue*) [0x00074] in <e736913786c2475188869561ae512b72>:0
01-10 13:11:06.127 E/mono-rt (26276):   at Java.Interop.JniPeerMembers/JniInstanceMethods.InvokeNonvirtualVoidMethod (string,Java.Interop.IJavaPeerable,Java.Interop.JniArgumentValue*) [0x00021] in <e736913786c2475188869561ae512b72>:0
01-10 13:11:06.127 E/mono-rt (26276):   at Android.Views.View.Measure (int,int) [0x0003c] in <8211f1f12f9e45838d631abf63e51c79>:0
01-10 13:11:06.127 E/mono-rt (26276):   at Xamarin.Forms.Platform.Android.ViewRenderer`2<TView_REF, TNativeView_REF>.GetDesiredSize (int,int) [0x00032] in D:\agent\_work\1\s\Xamarin.Forms.Platform.Android\ViewRenderer.cs:92
01-10 13:11:06.127 E/mono-rt (26276):   at Xamarin.Forms.Platform.Android.LabelRenderer.GetDesiredSize (int,int) [0x000f8] in D:\agent\_work\1\s\Xamarin.Forms.Platform.Android\Renderers\LabelRenderer.cs:69
01-10 13:11:06.127 E/mono-rt (26276):   at Xamarin.Forms.Platform.Android.Platform.Xamarin.Forms.Internals.IPlatform.GetNativeSize (Xamarin.Forms.VisualElement,double,double) [0x0008e] in D:\agent\_work\1\s\Xamarin.Forms.Platform.Android\Platform.cs:1227
01-10 13:11:06.127 E/mono-rt (26276):   at Xamarin.Forms.VisualElement.OnSizeRequest (double,double) [0x0002d] in D:\agent\_work\1\s\Xamarin.Forms.Core\VisualElement.cs:632
01-10 13:11:06.127 E/mono-rt (26276):   at Xamarin.Forms.VisualElement.OnMeasure (double,double) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Core\VisualElement.cs:601
01-10 13:11:06.127 E/mono-rt (26276):   at Xamarin.Forms.VisualElement.GetSizeRequest (double,double) [0x00053] in D:\agent\_work\1\s\Xamarin.Forms.Core\VisualElement.cs:477
01-10 13:11:06.127 E/mono-rt (26276):   at Xamarin.Forms.VisualElement.Measure (double,double,Xamarin.Forms.MeasureFlags) [0x00054] in D:\agent\_work\1\s\Xamarin.Forms.Core\VisualElement.cs:535
01-10 13:11:06.128 E/mono-rt (26276):   at Xamarin.Forms.StackLayout.CalculateNaiveLayout (Xamarin.Forms.StackLayout/LayoutInformation,Xamarin.Forms.StackOrientation,double,double,double,double) [0x00236] in D:\agent\_work\1\s\Xamarin.Forms.Core\StackLayout.cs:198
01-10 13:11:06.128 E/mono-rt (26276):   at Xamarin.Forms.StackLayout.CalculateLayout (Xamarin.Forms.StackLayout/LayoutInformation,double,double,double,double,bool) [0x00058] in D:\agent\_work\1\s\Xamarin.Forms.Core\StackLayout.cs:123
01-10 13:11:06.128 E/mono-rt (26276):   at Xamarin.Forms.StackLayout.OnSizeRequest (double,double) [0x00019] in D:\agent\_work\1\s\Xamarin.Forms.Core\StackLayout.cs:80
01-10 13:11:06.128 E/mono-rt (26276):   at Xamarin.Forms.VisualElement.OnMeasure (double,double) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Core\VisualElement.cs:601
01-10 13:11:06.128 E/mono-rt (26276):   at Xamarin.Forms.VisualElement.GetSizeRequest (double,double) [0x00053] in D:\agent\_work\1\s\Xamarin.Forms.Core\VisualElement.cs:477
01-10 13:11:06.128 E/mono-rt (26276):   at Xamarin.Forms.Layout.GetSizeRequest (double,double) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Core\Layout.cs:121
01-10 13:11:06.128 E/mono-rt (26276):   at Xamarin.Forms.VisualElement.Measure (double,double,Xamarin.Forms.MeasureFlags) [0x00054] in D:\agent\_work\1\s\Xamarin.Forms.Core\VisualElement.cs:535
01-10 13:11:06.128 E/mono-rt (26276):   at Xamarin.Forms.StackLayout.CalculateNaiveLayout (Xamarin.Forms.StackLayout/LayoutInformation,Xamarin.Forms.StackOrientation,double,double,double,double) [0x00236] in D:\agent\_work\1\s\Xamarin.Forms.Core\StackLayout.cs:198
01-10 13:11:06.128 E/mono-rt (26276):   at Xamarin.Forms.StackLayout.CalculateLayout (Xamarin.Forms.StackLayout/LayoutInformation,double,double,double,double,bool) [0x00058] in D:\agent\_work\1\s\Xamarin.Forms.Core\StackLayout.cs:123
01-10 13:11:06.128 E/mono-rt (26276):   at Xamarin.Forms.StackLayout.OnSizeRequest (double,double) [0x00019] in D:\agent\_work\1\s\Xamarin.Forms.Core\StackLayout.cs:80
01-10 13:11:06.128 E/mono-rt (26276):   at Xamarin.Forms.VisualElement.OnMeasure (double,double) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Core\VisualElement.cs:601
01-10 13:11:06.128 E/mono-rt (26276):   at Xamarin.Forms.VisualElement.GetSizeRequest (double,double) [0x00053] in D:\agent\_work\1\s\Xamarin.Forms.Core\VisualElement.cs:477
01-10 13:11:06.128 E/mono-rt (26276):   at Xamarin.Forms.Layout.GetSizeRequest (double,double) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Core\Layout.cs:121
01-10 13:11:06.128 E/mono-rt (26276):   at Xamarin.Forms.VisualElement.Measure (double,double,Xamarin.Forms.MeasureFlags) [0x00054] in D:\agent\_work\1\s\Xamarin.Forms.Core\VisualElement.cs:535
01-10 13:11:06.129 E/mono-rt (26276):   at Xamarin.Forms.StackLayout.CalculateNaiveLayout (Xamarin.Forms.StackLayout/LayoutInformation,Xamarin.Forms.StackOrientation,double,double,double,double) [0x000a8] in D:\agent\_work\1\s\Xamarin.Forms.Core\StackLayout.cs:163
01-10 13:11:06.129 E/mono-rt (26276):   at Xamarin.Forms.StackLayout.CalculateLayout (Xamarin.Forms.StackLayout/LayoutInformation,double,double,double,double,bool) [0x00058] in D:\agent\_work\1\s\Xamarin.Forms.Core\StackLayout.cs:123
01-10 13:11:06.129 E/mono-rt (26276):   at Xamarin.Forms.StackLayout.LayoutChildren (double,double,double,double) [0x0005b] in D:\agent\_work\1\s\Xamarin.Forms.Core\StackLayout.cs:57
01-10 13:11:06.129 E/mono-rt (26276):   at Xamarin.Forms.Layout.UpdateChildrenLayout () [0x0014b] in D:\agent\_work\1\s\Xamarin.Forms.Core\Layout.cs:245
01-10 13:11:06.129 E/mono-rt (26276):   at Xamarin.Forms.Layout.OnSizeAllocated (double,double) [0x0000f] in D:\agent\_work\1\s\Xamarin.Forms.Core\Layout.cs:205
01-10 13:11:06.129 E/mono-rt (26276):   at Xamarin.Forms.VisualElement.SizeAllocated (double,double) [0x00000] in D:\agent\_work\1\s\Xamarin.Forms.Core\VisualElement.cs:637
01-10 13:11:06.129 E/mono-rt (26276):   at Xamarin.Forms.Layout/<>c.<OnChildMeasureInvalidated>b__40_0 () [0x00080] in D:\agent\_work\1\s\Xamarin.Forms.Core\Layout.cs:346
01-10 13:11:06.129 E/mono-rt (26276):   at Java.Lang.Thread/RunnableImplementor.Run () [0x0000e] in <8211f1f12f9e45838d631abf63e51c79>:0
01-10 13:11:06.129 E/mono-rt (26276):   at Java.Lang.IRunnableInvoker.n_Run (intptr,intptr) [0x00008] in <8211f1f12f9e45838d631abf63e51c79>:0
01-10 13:11:06.130 E/mono-rt (26276):   at (wrapper dynamic-method) object.f44e1f03-e30d-4e12-8aaa-9d2471d6f931 (intptr,intptr) [0x00011] in <657aa8fea4454dc898a9e5f379c58734>:0
01-10 13:11:06.130 E/mono-rt (26276):   at (wrapper native-to-managed) object.f44e1f03-e30d-4e12-8aaa-9d2471d6f931 (intptr,intptr) [0x00021] in <657aa8fea4454dc898a9e5f379c58734>:0